# From Fedora:
# This is a header-only library, but it install also cmake
# scripts to %%{_libdir}, so it cannot be noarch.
%global debug_package %{nil}

Name:       mpark-variant
Summary:    C++17 std::variant for C++11/14/17
Version:    1.4.0
#%%define subrel  1
Release:    %mkrel 1
License:    Boost
Group:      Development/C++
URL:        https://github.com/mpark/variant
Source0:    %{url}/archive/v%{version}/variant-%{version}.tar.gz

BuildRequires: ninja
BuildRequires: cmake >= 3.6.3

%description
Header-only %{summary}.

%define devel_name	%mklibname %{name} -d

%package -n %{devel_name}
Summary: Development files for %{name}
Provides: %{name}-static = %{version}-%{release}

%description -n %{devel_name}
%{summary}.

%prep
%autosetup -n variant-%{version} -p1
sed -i 's@lib/@%{_libdir}/@g' CMakeLists.txt

%build
%cmake -G Ninja \
    -DCMAKE_BUILD_TYPE=Release 

%ninja_build -C build

%install
%ninja_install -C build

%files -n %{devel_name}
%doc README.md
%license LICENSE.md
%{_includedir}/mpark
%{_libdir}/cmake/mpark_variant


%changelog
* Tue Dec 20 2022 squidf <squidf> 1.4.0-1.mga9
+ Revision: 1925467
- First build for MGA required by Nheko

